package com.dxhy.core.job.service;

/**
 * @author user
 */

public interface ConfirmService {

    /**
     * 接口服务 属期获取接口
     */
    void getTaxCurrent();

    /**
     * 请求报文拼接
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param appSec
     * @param dataExchangeId
     * @param base64Data
     * @param interfaceCode
     * @param aceId
     * @return java.lang.String
     */
    String requestData(String appSec, String dataExchangeId, String base64Data, String interfaceCode, String aceId);

    /**
     * 流水号生成
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param
     * @return java.lang.String
     */
    String makeExchangeId();

    /**
     * 接口服务 认证结果获取接口
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param
     * @return void
     */
    void getLtgalizeResult();

    /**
     * 申请认证接口
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param
     * @return void
     */
    void invoiceLegalize();

    /**
     * 申请逾期认证接口
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param
     * @return void
     */
    void applyOverdue();

    /**
     * 申请不抵扣接口
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param
     * @return void
     */
    void applyNoDeduction();

    /**
     * 申请撤销抵扣接口
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param
     * @return void
     */
    void applyRebackRz();

    /**
     * 申请撤销不抵扣接口
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param
     * @return void
     */
    void applyRebackNoDeduction();

}
